# Permissions (ShopChest 1.12 API)
Date: 2017-06-08

de.epiceric.shopchest.utils

## Class Permissions

- java.lang.Object
- - de.epiceric.shopchest.utils.Permissions

    public class Permissions
    extends Object

### Field Summary

Fields
`static String` `BUY`
`static String` `BYPASS_EXTERNAL_PLUGIN`
`static String` `CONFIG`
`static String` `CREATE`
`static String` `CREATE_ADMIN`
`static String` `CREATE_BUY`
`static String` `CREATE_PROTECTED`
`static String` `CREATE_SELL`
`static String` `EXTEND_OTHER`
`static String` `EXTEND_PROTECTED`
`static String` `NO_LIMIT`
`static String` `OPEN_OTHER`
`static String` `RELOAD`
`static String` `REMOVE_ADMIN`
`static String` `REMOVE_OTHER`
`static String` `SELL`
`static String` `UPDATE`
`static String` `UPDATE_NOTIFICATION`

### Constructor Summary

Constructors
Constructor and Description
`Permissions()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CREATE

    public static final String CREATE

See Also:
  Constant Field Values

#### CREATE_BUY

    public static final String CREATE_BUY

See Also:
  Constant Field Values

#### CREATE_SELL

    public static final String CREATE_SELL

See Also:
  Constant Field Values

#### CREATE_ADMIN

    public static final String CREATE_ADMIN

See Also:
  Constant Field Values

#### CREATE_PROTECTED

    public static final String CREATE_PROTECTED

See Also:
  Constant Field Values

#### REMOVE_OTHER

    public static final String REMOVE_OTHER

See Also:
  Constant Field Values

#### REMOVE_ADMIN

    public static final String REMOVE_ADMIN

See Also:
  Constant Field Values

#### BUY

    public static final String BUY

See Also:
  Constant Field Values

#### SELL

    public static final String SELL

See Also:
  Constant Field Values

#### OPEN_OTHER

    public static final String OPEN_OTHER

See Also:
  Constant Field Values

#### UPDATE_NOTIFICATION

    public static final String UPDATE_NOTIFICATION

See Also:
  Constant Field Values

#### RELOAD

    public static final String RELOAD

See Also:
  Constant Field Values

#### UPDATE

    public static final String UPDATE

See Also:
  Constant Field Values

#### NO_LIMIT

    public static final String NO_LIMIT

See Also:
  Constant Field Values

#### CONFIG

    public static final String CONFIG

See Also:
  Constant Field Values

#### EXTEND_OTHER

    public static final String EXTEND_OTHER

See Also:
  Constant Field Values

#### EXTEND_PROTECTED

    public static final String EXTEND_PROTECTED

See Also:
  Constant Field Values

#### BYPASS_EXTERNAL_PLUGIN

    public static final String BYPASS_EXTERNAL_PLUGIN

See Also:
  Constant Field Values

### Constructor Detail

#### Permissions

    public Permissions()